package jrummikub.model;

import java.awt.Color;

/**
 * The settings of a player
 */
public class PlayerSettings {
	private String name;
	private Color color;

	/**
	 * Create a new human player
	 * 
	 * @param name
	 *          the player's name
	 * @param color
	 *          the player's color
	 */
	public PlayerSettings(String name, Color color) {
		this.name = name;
		this.color = color;
	}

	/**
	 * Returns the player's color
	 * 
	 * @return the color
	 */
	public Color getColor() {
		return color;
	}

	/**
	 * Returns the player's name
	 * 
	 * @return the name
	 */
	public String getName() {
		return name;
	}
}
